Skip to main content
`Ctrl`+`K`

# ISViewFromOptions

View an `IS` based on options in the options database

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISViewFromOptions(IS A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the index set

- obj - Optional object that provides the prefix for the options database

- name - command line option

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

`IS`, `ISView()`, `PetscObjectViewFromOptions()`, `ISCreate()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/snes/tutorials/ex27.c
src/snes/tutorials/ex13.c
src/ts/tutorials/ex30.c
src/vec/vec/utils/tagger/tutorials/ex1.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages